Points (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart.plotitem

## Class Points

- java.lang.Object
- - com.twosigma.beakerx.chart.Graphics
  - - com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics
    - - com.twosigma.beakerx.chart.xychart.plotitem.Points

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Points
      extends XYGraphics

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics

      `baseColor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Points()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getFill()`
    `java.util.List<java.lang.Boolean>` | `getFills()`
    `Color` | `getOutlineColor()`
    `java.util.List<Color>` | `getOutlineColors()`
    `protected java.util.EnumSet<Filter>` | `getPossibleFilters()`
    `ShapeType` | `getShape()`
    `java.util.List<ShapeType>` | `getShapes()`
    `float` | `getSize()`
    `java.util.List<java.lang.Number>` | `getSizes()`
    `void` | `setFill(java.lang.Boolean fill)`
    `void` | `setFill(java.util.List<java.lang.Boolean> fill)`
    `void` | `setOutlineColor(Color color)`
    `void` | `setOutlineColor(java.awt.Color color)`
    `void` | `setOutlineColor(java.util.List<java.lang.Object> colors)`
    `void` | `setShape(java.util.List<ShapeType> shapes)`
    `void` | `setShape(ShapeType shape)`
    `void` | `setSize(java.util.List<java.lang.Number> sizes)`
    `void` | `setSize(java.lang.Number size)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics

      `getBase, getBases, getColor, getColors, getDisplayName, getLodFilter, getPlotType, getToolTips, getX, getY, setBase, setColor, setColor, setColor, setColori, setDisplayName, setLodFilter, setPlotType, setToolTip, setToolTip, setX, setY`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Graphics

      `clone, fireClick, fireOnKey, getClickTag, getKeys, getKeyTags, getUid, getVisible, getyAxis, getYAxis, hasClickAction, onClick, onClick, onKey, onKey, onKey, onKey, setVisible, setyAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Points

          public Points()

  - ### Method Detail

    - #### setSize

          public void setSize(java.lang.Number size)

    - #### setSize

          public void setSize(java.util.List<java.lang.Number> sizes)

    - #### getSize

          public float getSize()

    - #### getSizes

          public java.util.List<java.lang.Number> getSizes()

    - #### setShape

          public void setShape(ShapeType shape)

    - #### setShape

          public void setShape(java.util.List<ShapeType> shapes)

    - #### getShape

          public ShapeType getShape()

    - #### getShapes

          public java.util.List<ShapeType> getShapes()

    - #### setFill

          public void setFill(java.lang.Boolean fill)

    - #### setFill

          public void setFill(java.util.List<java.lang.Boolean> fill)

    - #### getFill

          public java.lang.Boolean getFill()

    - #### getFills

          public java.util.List<java.lang.Boolean> getFills()

    - #### setOutlineColor

          public void setOutlineColor(Color color)

    - #### setOutlineColor

          public void setOutlineColor(java.awt.Color color)

    - #### setOutlineColor

          public void setOutlineColor(java.util.List<java.lang.Object> colors)

    - #### getOutlineColor

          public Color getOutlineColor()

    - #### getOutlineColors

          public java.util.List<Color> getOutlineColors()

    - #### getPossibleFilters

          protected java.util.EnumSet<Filter> getPossibleFilters()

      Specified by:
        `getPossibleFilters` in class `XYGraphics`